#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EBaseEntityMessages {
    PlayJingle = 136,
    ScreenOverlay = 137,
    RemoveAllDecals = 138,
    PropagateForce = 139,
    DoSpark = 140,
    FixAngle = 141,
}

impl EBaseEntityMessages {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::PlayJingle as i32 => Some(Self::PlayJingle),
            x if x == Self::ScreenOverlay as i32 => Some(Self::ScreenOverlay),
            x if x == Self::RemoveAllDecals as i32 => Some(Self::RemoveAllDecals),
            x if x == Self::PropagateForce as i32 => Some(Self::PropagateForce),
            x if x == Self::DoSpark as i32 => Some(Self::DoSpark),
            x if x == Self::FixAngle as i32 => Some(Self::FixAngle),
            _ => None,
        }
    }
}
